"use strict";
const Message_1 = require("../Message");
const ApiConst_1 = require("../../../api/ApiConst");
/**
 * Note that this class only represents outgoing template message from bot to a user. The response to it, is represented by {@link TemplateResponseMessage} separately.
 *
 * Created by amin on 10/5/16.
 * Modified by emran on 10/18/16.
 */
class TemplateMessage extends Message_1.Message {
    /**
     *
     * @param template
     */
    constructor(template) {
        super();
        this._template = template;
    }
    /**
     *
     * @return {{$type: string, templateId: number, template: any}}
     */
    getJsonObject() {
        return {
            $type: ApiConst_1.ApiConst.MessageTypes.Template,
            templateId: this._templateId,
            template: this._template.getJsonObject()
        };
    }
    /**
     * Manipulates current template message with the given jsonObject. Note that this class only represents outgoing template message from bot to a user.
     * In other words, this method is just useful for tasks like loading a saved TemplateMessage from a file...
     * @param jsonObject
     */
    manipulateFromJsonObject(jsonObject) {
        this._templateId = jsonObject.templateId;
        this._template = jsonObject.template;
    }
}
exports.TemplateMessage = TemplateMessage;
//# sourceMappingURL=TemplateMessage.js.map