"use strict";
const ServerPacket_1 = require("./ServerPacket");
const User_1 = require("../User");
const MessageFactory_1 = require("../factories/MessageFactory");
/**
 * FaqSeqUpdate messages from server class
 */
class ReceivedMessage extends ServerPacket_1.ServerPacket {
    constructor(jsonPacket) {
        super(jsonPacket);
        let jsonObj = JSON.parse(jsonPacket);
        this._seq = jsonObj.seq;
        this._date = jsonObj.body.date;
        this._randomId = jsonObj.body.randomId;
        this._peer = new User_1.User(jsonObj.body.peer.id, jsonObj.body.peer.accessHash);
        this._sender = new User_1.User(jsonObj.body.sender.id, jsonObj.body.sender.accessHash);
        this._message = MessageFactory_1.MessageFactory.build(jsonObj.body.message);
    }
    get seq() {
        return this._seq;
    }
    get date() {
        return this._date;
    }
    get randomId() {
        return this._randomId;
    }
    get peer() {
        return this._peer;
    }
    get sender() {
        return this._sender;
    }
    get message() {
        return this._message;
    }
}
exports.ReceivedMessage = ReceivedMessage;
//# sourceMappingURL=ReceivedMessage.js.map